

# GetJobDocument
<a name="API_GetJobDocument"></a>

Gets a job document.

Requires permission to access the [GetJobDocument](https://docs.aws.amazon.com/service-authorization/latest/reference/list_awsiot.html#awsiot-actions-as-permissions) action.

## Request Syntax
<a name="API_GetJobDocument_RequestSyntax"></a>

```
GET /jobs/jobId/job-document?beforeSubstitution=beforeSubstitution HTTP/1.1
```

## URI Request Parameters
<a name="API_GetJobDocument_RequestParameters"></a>

The request uses the following URI parameters.

 ** [beforeSubstitution](#API_GetJobDocument_RequestSyntax) **   <a name="iot-GetJobDocument-request-uri-beforeSubstitution"></a>
Provides a view of the job document before and after the substitution parameters have been resolved with their exact values.

 ** [jobId](#API_GetJobDocument_RequestSyntax) **   <a name="iot-GetJobDocument-request-uri-jobId"></a>
The unique identifier you assigned to this job when it was created.  
Length Constraints: Minimum length of 1. Maximum length of 64.  
Pattern: `[a-zA-Z0-9_-]+`   
Required: Yes

## Request Body
<a name="API_GetJobDocument_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_GetJobDocument_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "document": "string"
}
```

## Response Elements
<a name="API_GetJobDocument_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [document](#API_GetJobDocument_ResponseSyntax) **   <a name="iot-GetJobDocument-response-document"></a>
The job document content.  
Type: String  
Length Constraints: Maximum length of 32768.

## Errors
<a name="API_GetJobDocument_Errors"></a>

 ** InvalidRequestException **   
The request is not valid.    
 ** message **   
The message for the exception.
HTTP Status Code: 400

 ** ResourceNotFoundException **   
The specified resource does not exist.    
 ** message **   
The message for the exception.
HTTP Status Code: 404

 ** ServiceUnavailableException **   
The service is temporarily unavailable.    
 ** message **   
The message for the exception.
HTTP Status Code: 503

 ** ThrottlingException **   
The rate exceeds the limit.    
 ** message **   
The message for the exception.
HTTP Status Code: 400

## See Also
<a name="API_GetJobDocument_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/iot-2015-05-28/GetJobDocument) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/iot-2015-05-28/GetJobDocument) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/iot-2015-05-28/GetJobDocument) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/iot-2015-05-28/GetJobDocument) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/iot-2015-05-28/GetJobDocument) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/iot-2015-05-28/GetJobDocument) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/iot-2015-05-28/GetJobDocument) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/iot-2015-05-28/GetJobDocument) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/iot-2015-05-28/GetJobDocument) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/iot-2015-05-28/GetJobDocument) 